[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [PATCH OSSTEST] Debian: Arrange to drop "quiet" from command line of installed system



By editing /etc/default/grub in a late command iff it exists.

This will effect ts-debian-{hvm,di}-install as well as
ts-host-install and hence effect guests as well as hosts.

The overall effect is that we will log more upon guest boot as well as
on the initial host boot.

Note that for hosts we also strip the "quiet" when updating grub as
part of ts-xen-install, this code remains (although it won't do so
much now).

Signed-off-by: Ian Campbell <ian.campbell@xxxxxxxxxx>
---
 Osstest/Debian.pm | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/Osstest/Debian.pm b/Osstest/Debian.pm
index 9347c49..bd482d6 100644
--- a/Osstest/Debian.pm
+++ b/Osstest/Debian.pm
@@ -789,6 +789,19 @@ sub preseed_base ($$$$;@) {
 
     preseed_ssh($ho, $sfx);
 
+    preseed_hook_command($ho, 'late_command', '', <<'END');
+#!/bin/sh
+set -ex
+
+grub=/etc/default/grub
+if [ -f /target$grub ] ; then
+    in-target sed -i \
+        's/^\(GRUB_CMDLINE_LINUX_DEFAULT=".*\)\bquiet\b\(.*"\)$/\1\2/g' \
+        $grub
+    in-target update-grub
+fi
+END
+
     debian_overlays(sub {
        my ($srcdir, $tfilename) = @_;
        preseed_hook_overlay($ho, $sfx, $srcdir, $tfilename);
-- 
2.5.3


_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxx
http://lists.xen.org/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.